Categories:
  - Navigation
License: GPL-3.0-or-later
AuthorName: Torsten Grote
WebSite: https://transportr.app/?utm_source=fdroid
SourceCode: https://github.com/grote/Transportr
IssueTracker: https://github.com/grote/Transportr/issues
Translation: https://www.transifex.com/grobox/transportr/
Changelog: https://github.com/grote/Transportr/releases
Donate: https://transportr.app/donate/?utm_source=fdroid
LiberapayID: '34751'
Bitcoin: 12JaQp8zfqRb83JfSwVjH4rZWsZnWRPoyG

AutoName: Liberario

RepoType: git
Repo: https://github.com/grote/Transportr.git

Builds:
  - versionName: '0.1'
    versionCode: 1
    commit: '0.1'
    submodules: true
    androidupdate:
      - .
      - sublibs/Android-PullToRefresh/library
    build: ./build-pte.sh

  - versionName: '0.2'
    versionCode: 2
    commit: '0.2'
    submodules: true
    build: ./build-pte.sh

  - versionName: 0.2.1
    versionCode: 3
    commit: 0.2.1
    submodules: true
    build: ./build-pte.sh

  - versionName: '0.3'
    versionCode: 4
    commit: '0.3'
    submodules: true
    build: ./build-pte.sh

  - versionName: 0.3.1
    versionCode: 5
    commit: 0.3.1
    submodules: true
    build: ./build-pte.sh

  - versionName: '0.4'
    versionCode: 6
    commit: '0.4'
    submodules: true
    build: ./build-pte.sh

  - versionName: '0.5'
    versionCode: 9
    commit: '0.5'
    submodules: true
    gradle:
      - yes
    prebuild:
      - ./pre-build.sh
      - rm -r sublibs/public-transport-enabler/enabler/target

  - versionName: 0.5.1
    versionCode: 10
    commit: 0.5.1
    submodules: true
    gradle:
      - yes
    prebuild:
      - ./pre-build.sh
      - rm -r sublibs/public-transport-enabler/enabler/target

  - versionName: 0.5.2
    versionCode: 11
    commit: 0.5.2
    submodules: true
    gradle:
      - yes
    prebuild:
      - ./pre-build.sh
      - rm -r sublibs/public-transport-enabler/enabler/target

  - versionName: 0.5.3
    versionCode: 12
    commit: 0.5.3
    submodules: true
    gradle:
      - yes
    prebuild:
      - ./pre-build.sh
      - rm -r sublibs/public-transport-enabler/enabler/target

  - versionName: '0.6'
    versionCode: 15
    commit: '0.6'
    submodules: true
    gradle:
      - yes
    prebuild:
      - ./pre-build.sh
      - rm -r sublibs/public-transport-enabler/enabler/target

  - versionName: 0.6.1
    versionCode: 16
    commit: 0.6.1
    submodules: true
    gradle:
      - yes
    prebuild:
      - ./pre-build.sh
      - rm -r sublibs/public-transport-enabler/enabler/target

  - versionName: 1.0.0-beta3
    versionCode: 19
    commit: 2578f2d4
    submodules: true
    gradle:
      - yes
    prebuild: ./pre-build.sh

  - versionName: 1.0.0
    versionCode: 21
    commit: 1.0.0
    submodules: true
    gradle:
      - yes
    prebuild: ./pre-build.sh

  - versionName: 1.0.1
    versionCode: 22
    commit: 1.0.1
    submodules: true
    gradle:
      - yes
    prebuild: ./pre-build.sh

  - versionName: 1.0.2
    versionCode: 23
    commit: 1.0.2
    submodules: true
    gradle:
      - yes
    prebuild: ./pre-build.sh

  - versionName: 1.0.3
    versionCode: 24
    commit: 1.0.3
    submodules: true
    gradle:
      - yes
    prebuild: ./pre-build.sh

  - versionName: 1.0.4
    versionCode: 25
    commit: 1.0.4
    submodules: true
    gradle:
      - yes
    prebuild: ./pre-build.sh

  - versionName: 1.0.6
    versionCode: 27
    commit: 1.0.6
    submodules: true
    gradle:
      - yes
    prebuild: ./pre-build.sh
    gradleprops:
      - buildServer

  - versionName: 1.1.0
    versionCode: 30
    commit: 1.1.0
    submodules: true
    gradle:
      - yes
    prebuild: ./pre-build.sh
    gradleprops:
      - buildServer

  - versionName: 1.1.1
    versionCode: 33
    commit: 1.1.1
    submodules: true
    gradle:
      - yes
    prebuild: ./pre-build.sh
    gradleprops:
      - buildServer

  - versionName: 1.1.2
    versionCode: 36
    commit: 1.1.2
    submodules: true
    gradle:
      - yes
    prebuild: ./pre-build.sh
    gradleprops:
      - buildServer

  - versionName: 1.1.3
    versionCode: 38
    commit: 1.1.3
    submodules: true
    gradle:
      - yes
    prebuild: ./pre-build.sh
    gradleprops:
      - buildServer

  - versionName: 1.1.4
    versionCode: 40
    commit: 1.1.4
    submodules: true
    gradle:
      - yes
    prebuild: ./pre-build.sh
    gradleprops:
      - buildServer

  - versionName: 1.1.5
    versionCode: 42
    commit: 1.1.5
    submodules: true
    gradle:
      - yes
    prebuild: ./pre-build.sh
    gradleprops:
      - buildServer

  - versionName: 1.1.6
    versionCode: 45
    commit: 1.1.6
    submodules: true
    gradle:
      - yes
    prebuild: ./pre-build.sh
    gradleprops:
      - buildServer

  - versionName: 1.1.7
    versionCode: 47
    commit: 1.1.7
    submodules: true
    gradle:
      - yes
    prebuild: ./pre-build.sh
    gradleprops:
      - buildServer

  - versionName: 1.1.8
    versionCode: 48
    commit: 1.1.8
    submodules: true
    gradle:
      - yes
    prebuild: ./pre-build.sh
    gradleprops:
      - buildServer

  - versionName: 1.1.9
    versionCode: 49
    commit: 1.1.9
    submodules: true
    gradle:
      - yes
    prebuild: ./pre-build.sh
    gradleprops:
      - buildServer

  - versionName: 2.0.0
    versionCode: 108
    disable: https://gitlab.com/fdroid/fdroidserver/-/issues/1004#note_1030833616
    commit: 2.0.0
    subdir: app
    gradle:
      - yes
    gradleprops:
      - buildServer

  - versionName: 2.0.1
    versionCode: 109
    disable: https://gitlab.com/fdroid/fdroidserver/-/issues/1004#note_1030833616
    commit: 2.0.1
    subdir: app
    gradle:
      - yes
    gradleprops:
      - buildServer

  - versionName: 2.0.2
    versionCode: 111
    disable: https://gitlab.com/fdroid/fdroidserver/-/issues/1004#note_1030833616
    commit: 2.0.2
    subdir: app
    gradle:
      - yes
    gradleprops:
      - buildServer

  - versionName: 2.0.3
    versionCode: 112
    disable: https://gitlab.com/fdroid/fdroidserver/-/issues/1004#note_1030833616
    commit: 2.0.3
    subdir: app
    gradle:
      - yes
    gradleprops:
      - buildServer

  - versionName: 2.0.4
    versionCode: 113
    disable: https://gitlab.com/fdroid/fdroidserver/-/issues/1004#note_1030833616
    commit: 2.0.4
    subdir: app
    gradle:
      - yes
    gradleprops:
      - buildServer

  - versionName: 2.0.5
    versionCode: 114
    disable: https://gitlab.com/fdroid/fdroidserver/-/issues/1004#note_1030833616
    commit: 2.0.5
    subdir: app
    gradle:
      - yes
    gradleprops:
      - buildServer

  - versionName: 2.0.6
    versionCode: 115
    disable: https://gitlab.com/fdroid/fdroidserver/-/issues/1004#note_1030833616
    commit: 2.0.6
    subdir: app
    gradle:
      - yes
    gradleprops:
      - buildServer

  - versionName: 2.0.8
    versionCode: 117
    disable: https://gitlab.com/fdroid/fdroidserver/-/issues/1004#note_1030833616
    commit: 2.0.8
    subdir: app
    gradle:
      - yes
    gradleprops:
      - buildServer

  - versionName: 2.1.0
    versionCode: 118
    disable: https://gitlab.com/fdroid/fdroidserver/-/issues/1004#note_1030833616
    commit: 2.1.0
    subdir: app
    gradle:
      - yes
    srclibs:
      - gradlewitnessakwizgran@3119debde6c8aadebebcb0a7eb16dbb2e40c4046
    rm:
      - app/libs/gradle-witness.jar
    prebuild:
      - pushd $$gradlewitnessakwizgran$$
      - gradle build
      - popd
      - mv $$gradlewitnessakwizgran$$/build/libs/gradlewitnessakwizgran.jar libs/gradle-witness.jar
    scanignore:
      - app/libs/gradle-witness.jar
    gradleprops:
      - buildServer

  - versionName: 2.1.2
    versionCode: 120
    disable: https://gitlab.com/fdroid/fdroidserver/-/issues/1004#note_1030833616
    commit: 2.1.2
    subdir: app
    gradle:
      - yes
    srclibs:
      - gradlewitnessakwizgran@0bd93192051f6327e4dea5b296bf32644dd0dae1
    rm:
      - app/libs/gradle-witness.jar
    prebuild:
      - pushd $$gradlewitnessakwizgran$$
      - gradle build
      - popd
      - mv $$gradlewitnessakwizgran$$/build/libs/gradlewitnessakwizgran.jar libs/gradle-witness.jar
    scanignore:
      - app/libs/gradle-witness.jar
    ndk: r21e
    gradleprops:
      - buildServer

  - versionName: 2.1.3
    versionCode: 121
    disable: https://gitlab.com/fdroid/fdroidserver/-/issues/1004#note_1030833616
    commit: e29bc9b47b0ca729bf0045a348bd09450de9d42a
    subdir: app
    gradle:
      - yes
    srclibs:
      - gradlewitnessakwizgran@0bd93192051f6327e4dea5b296bf32644dd0dae1
    rm:
      - app/libs/gradle-witness.jar
    prebuild:
      - pushd $$gradlewitnessakwizgran$$
      - gradle build
      - popd
      - mv $$gradlewitnessakwizgran$$/build/libs/gradlewitnessakwizgran.jar libs/gradle-witness.jar
    scanignore:
      - app/libs/gradle-witness.jar
    ndk: r21e
    gradleprops:
      - buildServer

  - versionName: 2.1.4
    versionCode: 122
    disable: https://gitlab.com/fdroid/fdroidserver/-/issues/1004#note_1030833616
    commit: facb4230fee83723ceeee8ec55bb519ad690072d
    subdir: app
    gradle:
      - yes
    srclibs:
      - gradlewitnessakwizgran@0bd93192051f6327e4dea5b296bf32644dd0dae1
    rm:
      - app/libs/gradle-witness.jar
    prebuild:
      - pushd $$gradlewitnessakwizgran$$
      - gradle build
      - popd
      - mv $$gradlewitnessakwizgran$$/build/libs/gradlewitnessakwizgran.jar libs/gradle-witness.jar
    scanignore:
      - app/libs/gradle-witness.jar
    ndk: r21e
    gradleprops:
      - buildServer

AutoUpdateMode: None
UpdateCheckMode: Tags
CurrentVersion: 2.1.4
CurrentVersionCode: 122
